Bio::Map::LinkagePosition(3)

NAME
Bio::Map::LinkagePosition - Create a Position for a Marker that will be placed
    on a Bio::Map::LinkageMap

SYNOPSIS
    use Bio::Map::Position;
    my $position = new Bio::Map::LinkagePosition(-positions => 1,
                                                 -distance => 22.1 );

            # can get listing of positions
    my @positions = $position->each_position;

DESCRIPTION
Position for a Bio::Map::MarkerI compliant object that will be placed on a Bio::Map::LinkageMap. See Bio::Map::MarkerI and Bio::Map::LinkageMap for details

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org              - General discussion
  http://bioperl.org/MailList.shtml  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via email or the web:

  bioperl-bugs@bioperl.org
  http://bugzilla.bioperl.org/

AUTHOR - Chad Matsalla
Email bioinformatics1@dieselwurks.com

CONTRIBUTORS
Lincoln Stein, lstein@cshl.org Heikki Lehvaslaiho, heikki@ebi.ac.uk Jason Stajich jason@bioperl.org

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
 Title   : new
 Usage   : my $obj = new Bio::Map::LinkagePosition(-positions => $position,
                                -distance => $distance );
 Function: Builds a new Bio::Map::LinkagePosition object
 Returns : Bio::Map::LinkagePosition
 Args    : -order => the relative order of this marker on a linkage map
           -positions => positions on a map

  Bio::Map::PositionI methods

  order
 Title   : order
 Usage   : $o_position->order($new_position) _or_
           $o_position->order()
 Function: get/set the order position of this position in a map
 Returns :
 Args    : If $new_position is provided, the current position of this Position
           will be set to $new_position.